> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openlayer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve record

> Retrieve a record by its ID from a data source (formerly known as "inference pipeline").



## OpenAPI

````yaml get /inference-pipelines/{inferencePipelineId}/rows/{inferenceId}
openapi: 3.0.3
info:
  contact:
    email: support@openlayer.com
    name: Openlayer
    url: https://openlayer.com/
  description: API for interacting with the Openlayer server.
  title: Openlayer API
  version: '1.0'
  x-logo:
    url: https://logo.clearbit.com/openlayer.com
servers:
  - url: https://api.openlayer.com/v1
    description: Our prod backend
security:
  - bearerAuth: []
paths:
  /inference-pipelines/{inferencePipelineId}/rows/{inferenceId}:
    get:
      tags:
        - Monitoring
      description: >-
        Fetch a single inference pipeline row by inference ID, including OTel
        steps.
      parameters:
        - $ref: '#/components/parameters/inferencePipelineId'
        - name: inferenceId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Status OK.
          content:
            application/json:
              schema:
                type: object
                properties:
                  row:
                    type: object
                  success:
                    type: boolean
        default:
          $ref: '#/components/responses/UnexpectedError'
      x-codeSamples:
        - lang: python
          source: |
            import os
            from openlayer import Openlayer

            client = Openlayer(
                api_key=os.environ.get("OPENLAYER_API_KEY"),
            )
            result = client.inference_pipelines.rows.retrieve(
                inference_pipeline_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
                inference_id="832y98d3",
            )
            print(result.row)
        - lang: typescript
          source: |
            import Openlayer from 'openlayer';

            const client = new Openlayer({
              apiKey: process.env['OPENLAYER_API_KEY'],
            });

            const result = await client.inferencePipelines.rows.retrieve(
              '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
              '832y98d3',
            );

            console.log(result.row);
        - lang: curl
          source: |
            curl --request GET \
              --url https://api.openlayer.com/v1/inference-pipelines/{inferencePipelineId}/rows/{inferenceId} \
              --header 'Authorization: Bearer <token>'
components:
  parameters:
    inferencePipelineId:
      name: inferencePipelineId
      in: path
      description: The inference pipeline id (a UUID).
      required: true
      schema:
        type: string
        format: uuid
  responses:
    UnexpectedError:
      description: Unexpected error.
      content:
        application/json:
          schema:
            type: object
            required:
              - code
              - error
            properties:
              code:
                type: integer
                format: int32
              error:
                type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >
        Bearer authentication header of the form `Bearer <token>`, where
        `<token>` is your workspace API key. See [Find your API
        key](https://www.openlayer.com/docs/workspace-and-projects/find-your-api-key)
        for more information.

````